## flash 1.2.11

=== Makefile ===
#
# Makefile for FLASH.  Process this using GNU make by simply running
#
# $ make
#
# You may set CPPFLAGS, LDFLAGS, or CC in the environment if you would like to
# use a non-default compiler, extra preprocessor flags (e.g. to find headers),
# or extra linker flags (e.g. to find libraries).

CFLAGS += -O2 -Wall -std=c99 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
LDLIBS := -lz -lpthread
OBJ    := combine_reads.o flash.o iostream.o read_io.o read_queue.o read_util.o util.o
EXE    := flash

$(EXE):$(OBJ)

clean:
	rm -f $(OBJ) $(EXE)

.PHONY: clean

=== debian/changelog ===
flash (1.2.11-2) unstable; urgency=medium

  * Add test and reference data
  * Add autopkgtests
  * Install docs

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Wed, 17 Jun 2020 05:37:47 +0530

flash (1.2.11-1) unstable; urgency=medium

  * Initial release (Closes: #961587)

 -- Andreas Tille <tille@debian.org>  Tue, 26 May 2020 13:30:31 +0200

=== debian/control ===
Source: flash
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/flash
Vcs-Git: https://salsa.debian.org/med-team/flash.git
Homepage: https://ccb.jhu.edu/software/FLASH/

Package: flash
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Fast Length Adjustment of SHort reads
 FLASH (Fast Length Adjustment of SHort reads) is a very fast and
 accurate software tool to merge paired-end reads from next-generation
 sequencing experiments. FLASH is designed to merge pairs of reads when
 the original DNA fragments are shorter than twice the length of reads.
 The resulting longer reads can significantly improve genome assemblies.
 They can also improve transcriptome assembly when FLASH is used to merge
 RNA-seq data.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4

https://sf.net/flashpage/FLASH-(\d[\d.]+)\.tar\.gz
